%define with_python  1
%define with_cairo   0
%define majver %(echo %version | cut -d. -f 1-2)
Name:          dia
Version:       0.97.2.20140825git
Release:       2mamba
Summary:       Dia is a gtk+ based diagram creation program
Group:         Graphical Desktop/Applications/Graphics
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://live.gnome.org/Dia
Source:        git://git.gnome.org/dia.git/master/%{name}-%{version}.tar.bz2
#Source:        http://ftp.gnome.org/pub/gnome/sources/%{name}/%{majver}/%{name}-%{version}.tar.xz
##ftp://ftp.gnome.org/pub/gnome/sources/dia/%{version}/dia-%{version}.tar.bz2
Patch0:        %{name}-0.95-use_kde_browser.patch
Patch1:        %{name}-0.95-cve_2006_2480.patch
Patch2:        %{name}-0.95-formatstring.patch
# FC patches
Patch3:        %{name}-0.96.1-dtdfix.patch
Patch4:        %{name}-0.95-pre6-help.patch
Patch5:        %{name}-0.97.2-glib-2.31.patch
Patch6:        dia-0.97.2-x86_64-wmf-cast.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libEMF-devel
BuildRequires: libGConf-devel
BuildRequires: libICE-devel
BuildRequires: libORBit2-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXinerama-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libatk-devel
BuildRequires: libavahi-devel
BuildRequires: libavahi-glib-devel
BuildRequires: libbonobo-devel
BuildRequires: libbonoboui-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libcanberra-devel
BuildRequires: libdbus-devel
BuildRequires: libdbus-glib-devel
BuildRequires: libelf-devel
BuildRequires: libexpat-devel
BuildRequires: libffi-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libgcrypt-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgnome-devel
BuildRequires: libgnome-keyring-devel
BuildRequires: libgnome-vfs-devel
BuildRequires: libgnomecanvas-devel
BuildRequires: libgnomeui-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgraphite2-devel
BuildRequires: libgtk2-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libltdl-devel
BuildRequires: liblzma-devel
BuildRequires: libogg-devel
BuildRequires: libopenssl-devel
BuildRequires: libpango-devel
BuildRequires: libpng-devel
BuildRequires: libpopt-devel
BuildRequires: libpython27-devel
BuildRequires: libselinux-devel
BuildRequires: libssp-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtdb-devel
BuildRequires: libuuid-devel
BuildRequires: libvorbis-devel
BuildRequires: libxcb-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: intltool >= 0.21
BuildRequires: perl >= 5.8.0
BuildRequires: pkgconfig >= 0.19
BuildRequires: libart_lgpl-devel >= 2.0.0
BuildRequires: gettext-devel >= 0.14.0
BuildRequires: xmlto >= 0.0.18
BuildRequires: libbonoboui-devel >= 2.24.5-3mamba
BuildRequires: libgnomeui-devel >= 2.24.5-2mamba
%if %with_python
BuildRequires: python >= 1.5.2
BuildRequires: libpython-devel
BuildRequires: python-pyxml >= 0.8.4
%endif
Requires:      %{_bindir}/gnome-open
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Dia is designed to be much like the commercial Windows program 'Visio'.
It can be used to draw many different kinds of diagrams.
It currently has special objects to help draw entity relationship diagrams, UML diagrams, flowcharts, network diagrams, and simple circuits.
It is also possible to add support for new shapes by writing simple XML files, using a subset of SVG to draw the shape.

%package -n python-%{name}
Summary:       Python bindings for %{name}
Group:         Development/Bindings
Requires:      %{name} = %{version}
Requires:      python
Requires:      pygtk

%description -n python-%{name}
Dia is designed to be much like the commercial Windows program 'Visio'.
It can be used to draw many different kinds of diagrams.
It currently has special objects to help draw entity relationship diagrams, UML diagrams, flowcharts, network diagrams, and simple circuits.
It is also possible to add support for new shapes by writing simple XML files, using a subset of SVG to draw the shape.

This package contains the dia plugins for python.

%prep
%setup -q
#-D -T
#:<< _EOF
# note: remove this comment to use konqueror instead of gnome-open
#%patch0 -p1
#%patch1 -p1 -b .cve_2006_2480
#%patch2 -p1 -b .formatstring
#%patch3 -p1 -b .dtdfix
%patch4 -p1 -b .help
#%patch5 -p1
%ifarch x86_64
%patch6 -p1
## FIXME: workaround
#sed -i "s|\${py_lib}/libpython|lib64/libpython|" configure
%endif

%build
#:<< _EOF
./autogen.sh
%configure \
   --enable-gnome \
%if %with_cairo
   --with-cairo \
%endif
%if %with_python
   --with-python \
%endif

%make

#xmlto -o doc/en/manual html doc/en/dia.xml
#xmlto -o doc/pl/manual html doc/pl/dia.xml 
 # source broken

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

rm -fr %{buildroot}%{_datadir}/gnome/help/dia


install -d %{buildroot}%{_datadir}/gnome/help/dia/en
cp -a doc/en/* %{buildroot}%{_datadir}/gnome/help/dia/en
cp -a doc/en/graphics %{buildroot}%{_datadir}/gnome/help/dia/en/

ln -s en %{buildroot}%{_datadir}/gnome/help/dia/C

# FIXME: link needed to see help pages from dia
ln -s %{_datadir}/gnome/help/dia %{buildroot}%{_datadir}/dia/help

%{find_lang} %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%dir %{_libdir}/dia
%{_libdir}/dia/*
%{_datadir}/applications/*
%dir %{_datadir}/dia
%dir %{_datadir}/dia/Shape_Design
%dir %{_datadir}/dia/Shape_Design/Misc
%{_datadir}/dia/Shape_Design/Misc/*
%dir %{_datadir}/dia/ui
%{_datadir}/dia/ui/*.xml
%dir %{_datadir}/dia/samples/
%{_datadir}/dia/samples/*.dia
%dir %{_datadir}/dia/shapes
%{_datadir}/dia/shapes/*
%dir %{_datadir}/dia/sheets
%{_datadir}/dia/sheets/*
%dir %{_datadir}/dia/xslt
%{_datadir}/dia/xslt/*
%dir %{_datadir}/dia/help
%{_datadir}/dia/dia-splash.png
%{_datadir}/icons/hicolor/*/apps/dia.png
%{_datadir}/icons/hicolor/scalable/apps/dia.svg
%{_datadir}/omf/dia/dia-C.omf
%{_datadir}/omf/dia/dia-eu.omf
%{_datadir}/omf/dia/dia-fr.omf
%{_datadir}/omf/dia/dia-pl.omf
%dir %{_datadir}/doc/dia
%lang(en) %dir %{_datadir}/doc/dia/en
%lang(en) %{_datadir}/doc/dia/en/*
%lang(eu) %dir %{_datadir}/doc/dia/eu
%lang(eu) %{_datadir}/doc/dia/eu/*
%lang(fr) %dir %{_datadir}/doc/dia/fr
%lang(fr) %{_datadir}/doc/dia/fr/*
%lang(pl) %dir %{_datadir}/doc/dia/pl
%lang(pl) %{_datadir}/doc/dia/pl/*
%{_mandir}/fr/man1/dia.1*
%lang(de) %dir %{_docdir}/dia/de/examples
%lang(de) %dir %{_docdir}/dia/de/examples/*
%dir %{_datadir}/gnome/help/dia
%{_datadir}/gnome/help/dia/*
%{_datadir}/mime-info/*
#%{_datadir}/pixmaps/*
%{_mandir}/man1/dia.*
%doc AUTHORS COPYING
#ChangeLog NEWS README THANKS TODO

%if %with_python
%files -n python-%{name}
%defattr(-,root,root)
%dir %{_datadir}/dia/python
%{_datadir}/dia/python-startup.py
%{_datadir}/dia/python/*
%endif

%changelog
* Fri Sep 26 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.97.2.20140825git-2mamba
- rebuilt with libbonoboui-2.24.5-3mamba to fix libpng version mismatch

* Mon Aug 25 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.97.2.20140825git-1mamba
- update to 0.97.2.20140825git

* Sat Jul 21 2012 Automatic Build System <autodist@mambasoft.it> 0.97.2-1mamba
- update to 0.97.2

* Sun Jul 20 2008 gil <puntogil@libero.it> 0.96.1-1mamba
- update to 0.96.1
- removed patch 2 
- edit: patch 3. URL, Source

* Fri May 26 2006 Davide Madrisan <davide.madrisan@qilinux.it> 0.95-1qilnx
- update to version 0.95 by autospec
- drop gcc4, new-cairo, fix against CVE-2005-2966 (merged upstream)
- security fixes: format strings vulnerabilities CVE-2006-[1550,2453,2480]

* Thu Oct 20 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.94-2qilnx
- security fix CAN-2005-2966
- patch for gcc4
- rebuild with python support (new package python-%{name})
- do not use netscape as default browser, use konqueror
- build help pages in html format

* Thu Jun 16 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 0.94-1qilnx
- package created by autospec
